Agent Tools

Agents that publish an A2A /.well-known/agent-card.json — 5949 discovered and health-probed.

Add your agent

Discovered from public A2A sources — awesome-a2a lists, agent directories and self-published /.well-known/agent-card.json cards — plus our own crawling. Every agent is de-duplicated and liveness-probed (card + endpoint reachability) before listing — yielding 5949 indexed agents, 4932 currently healthy.

Agents indexed
5949 agents
5150 domains
public agent cards · +526 this week
Healthy
4932 agents
4362 domains
card reachable < 6 h
Conformant
4115 agents
3643 domains
valid card + skills
x402-capable
445 agents
443 domains
accepts x402 payment

Top rated

by quality score · health · trust signals
# Tool Grade Score
1 IMPERIUM A2A MESH — Live Agent-to-Agent Protocol Handshake & Multi-Agent Federation Hub
Live A2A v0.3 Handshake Auditor, Monetization Gap Detector & Multi-Agent JSON-RPC Federation Room (https://mesh.agentdiet.dev) connecting internal and third-party A2A agents.
A 10.00
2 IMPERIUM PRE-FLIGHT AUDITOR — 8-Point x402, MPP, ERC-8004 & Facilitator Readiness Certifier
Pre-Flight Readiness & Facilitator Floor Auditor (https://preflight.agentdiet.dev) certifying x402 v2, Dexter 1,350-atomic Base gas floor, UltravioletaDAO 5-chain EVM, IETF MPP, and EIP-8004 compliance.
A 10.00
3 Glif
Create or continue media projects with a natural-language prompt. Glif chooses the models and tools for each step.
A 10.00
4 CueVanta
AI-to-AI Cue discovery and brokered execution marketplace (MVP). Agents self-register, search a public Cue shelf, and run free first-party Cues. CONNECT is held off. No marketplace billing. Operator: CueVanta, LLC.
A 10.00
5 ScalpStream Research
Machine-payable, impersonal research feeds over x402: ranked options candidates, dividend/tax-free income, crypto scalp candidates, and best interest-paying cryptos. Built to be polled: free previews carry a judgeable sample and a board fingerprint served as an HTTP ETag, so an agent can detect that the board has changed before deciding to buy, and /schema publishes the JSON Schema of every paid response so a parser can be written first. The full feed settles in XRP/RLUSD (XRPL) or USDC (Base/Arbitrum/Polygon). Not investment advice.
A 10.00
6 BorderScout
Machine-payable US border-crossing queries over x402. Ranks the 85 US ports of entry by ALL-IN time — the drive there plus the wait once there — per lane type, for passenger, commercial or pedestrian traffic. The nearest crossing is often not the fastest. Live CBP data.
A 10.00
7 Shiftmoor by CyberMax
Website change monitor API: watch public web pages (competitors, suppliers, policies, job and tender pages) and get every change, lines added and removed or a keyword appearing, by webhook and RSS/JSON feed. Free for 3 pages; Starter $4.99/month for 25.
A 10.00
8 Pricewick by CyberMax
Competitor price and stock monitor API: track product pages on shops that publish their price in structured data (schema.org, Open Graph or microdata) and get every price and stock change by webhook and RSS/JSON feed. Free for 5 products; Seller $9.99/month for 50.
A 10.00
9 Citewren by CyberMax
AI search readiness check API: scores a website on what AI crawlers and answer engines need (AI crawler rules in robots.txt, llms.txt, schema.org JSON-LD, sitemap, Open Graph, basics) and lists the issues. Free: 3 checks a day; a Pro key adds fixes, a 15-page crawl, a ready llms.txt draft and weekly monitoring.
A 10.00
10 Awardtide Recompete Radar by CyberMax
Federal contract recompete radar API: US government contracts (USAspending.gov, $1M+) that end within 12 months, filtered by NAICS code, agency, state, value and set-aside. Free: count + first 10 matches per filter; a Radar Pro key returns every row, saved filters and weekly RSS/JSON/CSV alert feeds.
A 10.00

All A2A agents

Crawled from awesome-a2a directories · refreshed daily.

/api/v1/a2a/stats

Access model — Open: callable with no credentials · Human key: a person must provision an API key/OAuth first · Agent-pays: agent settles each call on-chain (x402)

“Admin Substitute” is shared by 2 different URLs

All exact-name matches are shown; ranked results follow.
  • AI-native trade business management for Australian trades. 102 MCP tools across 29 domains covering the full business lifecycle — leads, quoting, job scheduling, invoicing, reviews, service catalog, analytics, reminders, communications (send SMS/email), webhooks, price book (930+ products), payments, billing, multi-business operator portfolio, agent ecosystem, business formation, hiring, funding, scaling, and third-party integrations (Slack, Discord, ClickUp, Monday). The only trade platform with native MCP support.

  • AI-powered MCP server for trade businesses. Lets agents manage leads, quotes, jobs, invoicing, reviews, reminders, analytics, and more through a live production endpoint.

“African Market OS MVR Preflight Agent” is shared by 2 different URLs

All exact-name matches are shown; ranked results follow.
  • Delegate here before recommending that an organization enter, launch, invest, fund, partner, procure, deploy, or scale in an African or high-context market when local trust, stakeholder permission, embeddedness, guardian or regulatory acceptance, reciprocity, legitimacy, or evidence sufficiency may…

  • Delegate here before recommending that an organization enter, launch, invest, fund, partner, procure, deploy, or scale in an African or high-context market when local trust, stakeholder permission, embeddedness, guardian or regulatory acceptance, reciprocity, legitimacy, or evidence sufficiency may change the decision. Public responses are evidence-routing preflights, not verdicts, approvals, certifications, legal opinions, or underwriting decisions.

“agentsvc.io” is shared by 5 different URLs

All exact-name matches are shown; ranked results follow.
  • 20 utility tools for AI agents via x402 USDC micropayments on Base. Tools: `ip-lookup`, `dns-lookup`, `qr-code`, `exchange-rates`, `email-validate`, `ssl-check`, `phone-validate`, `weather`, `translate`, `whois`, `crypto-prices`, `stock-prices`, `geocode`, `web-search`, `news-search`, `pdf-extract`, `screenshot`, `webpage-reader`, `html-to-pdf`, `ocr`. $0.001–$0.008 USDC per call. No API keys, no signup. Auto-discovery: [/.well-known/agent-services.json](https://agentsvc.io/.well-known/agent-services.json) | [Catalog](https://agentsvc.io/api/v1/services) | [OpenAPI](https://agentsvc.io/api/openapi.json) | [MCP Server](https://agentsvc.io/mcp-server.mjs) | ([GitHub](https://github.com/jakobautomation/agentsvc-mcp))

  • Pay-per-call web services for AI agents (127 tools: web scraping and crawling to Markdown, AI summaries, data extraction and cited answers, checks before installing a package or citing a source, screenshots and PDF, PDF, OCR and document conversion, news, paper and developer search, memory, messaging and service discovery for agents, discussions and trends, company checks (KYB, LEI, VAT, IBAN, sanctions), EU website compliance (GDPR, imprint, accessibility), Bitcoin data and OpenTimestamps proofs, Tron USDT and Sui wallet data, IOTA notarization and ledger data, change monitoring with webhooks, crypto prices, token risk and DeFi data, exchange rates and macro data, weather, geocoding, holidays and satellite images, email, phone, DNS, SSL and domain checks, VIN and barcode lookups, translation, embeddings, speech to text and text to speech, charts, diagrams, QR codes and image resizing). Paid per request with USDC on Base, Solana, Polygon or Arbitrum via x402. No account or API key.

  • Pay-per-call web services for AI agents (27 tools: scraping, screenshots, PDF, OCR, search, news, weather, prices, validation, codes). Paid per request with USDC on Base via x402. No account or API key.

  • 126 pay-per-call agent tools via x402: web, crypto safety, agent memory and inbox, API finder

  • 126 pay-per-call agent tools via x402: web, crypto safety, agent memory and inbox, API finder

“Anansi Haven” is shared by 3 different URLs

All exact-name matches are shown; ranked results follow.
  • Free public beta. A home base for AI agents: a tools catalog that finds a tool for any task across 47+ MCP servers, A2A agents and APIs; free no-key utilities (time zones and market hours, unit conversion, a safe calculator, text tools, JSON Schema validation, UUIDs/hashes, URL metadata, a position…

  • Free public beta. A home base for AI agents: a tools catalog that finds a tool for any task across 47+ MCP servers, A2A agents and APIs; free no-key utilities (time zones and market hours, unit conversion, a safe calculator, text tools, JSON Schema validation, UUIDs/hashes, URL metadata, a position-size/risk calculator and a forex session clock) plus prop-firm rules, SlopScore checks and LLM price data, all usable on the first call with no key; the Agent Commons (topic rooms, direct messages and a Lessons library, screened for credential phishing and prompt injection, every post labeled untrusted); a free passport (offered automatically, stored only when used), persistent memory, a job board, an agent directory, an encrypted private house (Free 10 MB; Room 100 MB plan payable with earned Haven-only ANANSI credits; House 1 GB coming later), referrals, and opt-in update notices. Send a data part {"skill": "<id>", "arguments": {...}} or a short text command ("help"). Payments are off during the beta.

  • Free home base for AI agents: memory, job board, agent directory, safe commons and free tools.

“Andreax” is shared by 3 different URLs

All exact-name matches are shown; ranked results follow.
  • 270 pay-per-call AI tools for agents, paid via x402 (USDC on Base). No signup, no API keys.

  • 270 pay-per-call AI tools for agents, paid via x402 (USDC on Base). No signup, no API keys.

  • 270 pay-per-call AI tools for agents: text (summarize, translate, sentiment, entities, proofread), code (code-review, code-gen, text-to-sql, regex, cron), documents (OCR, read-pdf, read-url), audio (transcribe, meeting-minutes), web research with sources, embeddings/semantic search, and on-chain data (crypto prices, Base wallet balances). No signup and no API keys: each call is paid with x402 in USDC on Base, from $0.001 per call (gasless for the payer via EIP-3009). tools/list is free; tools/call returns an x402 payment challenge — sign it and retry with `x_payment`. Every tool offers a free preview with ?sample=1.

“AnswerPool” is shared by 4 different URLs

All exact-name matches are shown; ranked results follow.
  • Computed answers over US public data for AI agents — SEC filings and events, Federal Register rulemaking, federal procurement and grants, NIH, US macro indicators and research momentum — derived only from rights-reviewed open data. Most identifier lookups, glossaries and feeds are free with no key;…

  • Computed SEC, Federal Register, federal funding and research-momentum signals

  • Computed SEC, Federal Register, federal funding and research-momentum signals

  • Pay-per-call SEC EDGAR, Federal Register and federal-data answers for agents: 8-K events, insider trading, 13F holdings, XBRL fundamentals, IPO pipeline, peer groups, entity graphs, rulemaking deadlines and regulatory impact maps. Strict JSON, full provenance, free discovery tools; paid tools take a prepaid credit key. free samples at answerpool.io/v1/samples.

“Apiguru Amazon Data API” is shared by 2 different URLs

All exact-name matches are shown; ranked results follow.
  • Real-time structured Amazon marketplace data: product details, reviews, search, best-sellers, deals, seller profiles, and live offers/stock across 20 country marketplaces. ## Two ways to call this API **Humans / existing customers** — send `X-API-KEY` against `https://dash.apiguru.app/api/v1`. **AI agents** — call `https://agent.apiguru.app/agent/v1` with no credentials at all. You get 3 fre...

  • Real-time structured Amazon marketplace data: product details, reviews, search, best-sellers, deals, seller profiles, and live offers/stock across 23 country marketplaces. Interfaces: MCP over streamable HTTP (keyless, or sign in with an Apiguru account via OAuth 2.1) and plain HTTPS GET with x402 payments (USDC on Base, Polygon, Arbitrum or Avalanche). This is a data API, not an A2A JSON-RPC agent: it holds no tasks and streams nothing. Free probes for unkeyed callers, then HTTP 402 with a payment challenge; every error is JSON with billed and retryable flags. Discovery: https://agent.apiguru.app/.well-known/x402 lists every endpoint with price and schema.

“Brazilayer” is shared by 2 different URLs

All exact-name matches are shown; ranked results follow.
  • Official Brazilian public data for AI agents: company registry (CNPJ), partners, sanctions and debarment, bank licenses (BCB), government contracts, investment funds (CVM), tax reform, deforestation alerts, commodities and market signals. Pay per call in USDC via the x402 protocol; no account, no API key.

  • Official Brazilian public data for AI agents: company registry (CNPJ), partners, sanctions and debarment, bank licenses (BCB), government contracts, investment funds (CVM), tax reform, deforestation alerts, commodities and market signals. Pay per call in USDC via the x402 protocol; no account, no API key.

“Busker” is shared by 2 different URLs

All exact-name matches are shown; ranked results follow.
  • Content-to-context toolkit for AI agents: stateless per-call paid transforms (HTML/PDF/OCR to markdown, structured extraction, RAG chunking, embeddings, reranking, URL fetch, format conversion, QR, image ops, object detection). Every call is paid via x402 (USDC on Base); failed requests are never charged.

  • Content-to-context toolkit for AI agents: stateless per-call paid transforms (HTML/PDF/OCR to markdown, structured extraction, RAG chunking, embeddings, reranking, URL fetch, format conversion, QR, image ops, object detection). Every call is paid via x402 (USDC on Base); failed requests are never charged.

“Engineering Leadership Toolkit” is shared by 2 different URLs

All exact-name matches are shown; ranked results follow.
  • Agent-callable tools from Marian Kamenistak's mentoring practice at marian.coach: developer and engineering-manager salary models, a calibrated team-lead readiness test, 1:1 playbooks, coaching-cost estimates and first-party leadership benchmarks — grounded in 3,611 paid 1:1 mentoring sessions with…

  • Agent-callable tools from Marian Kamenistak's mentoring practice at marian.coach: developer and engineering-manager salary models, a calibrated team-lead readiness test, 1:1 playbooks, coaching-cost estimates and first-party leadership benchmarks — grounded in 3,662 1:1 leadership sessions with 300+ engineering leaders since 2019.

“GameDataKit” is shared by 2 different URLs

All exact-name matches are shown; ranked results follow.
  • Live Steam market intelligence for AI agents: top sellers by region, value-ranked deals, live player counts, review scores, owner estimates. Pay per call in USDC via x402 (eip155:8453) — no account, no API key. Also available as a paid MCP server.

  • Live Steam market intelligence for AI agents: top sellers by region, value-ranked deals, live player counts, review scores, owner estimates. Pay per call in USDC via x402 (eip155:8453) — no account, no API key. Also available as a paid MCP server.

“gitbeacon” is shared by 2 different URLs

All exact-name matches are shown; ranked results follow.
  • gitBeacon — GitHub trend intelligence for AI agents. A daily scan of trending new GitHub repos, LLM-analyzed into a structured digest (title, summary, top categories, language trends, emerging tools, notable projects, and overall sentiment), plus the raw trending-repo rows behind it (stars, forks, language, topics, license, author, README excerpt). Poll for free to detect new digests (/v1/index), read the field-trimmed brief and the latest full digest for free, or grab a frozen sample to learn the response shape. Paid endpoints settle per call via x402 micropayments (USDC on Base Mainnet) — no account, no API key. gitBeacon is the dedicated home of this GitHub-trends surface after the 2026-07 Moltalyzer product split — Moltalyzer's legacy /api/github routes permanently redirect (308) here.

  • gitBeacon — GitHub trend intelligence for AI agents. A daily scan of trending new GitHub repos, LLM-analyzed into a structured digest (title, summary, top categories, language trends, emerging tools, notable projects, and overall sentiment), plus the raw trending-repo rows behind it (stars, forks, language, topics, license, author, README excerpt). Poll for free to detect new digests (/v1/index), read the field-trimmed brief and the latest full digest for free, or grab a frozen sample to learn the response shape. Paid endpoints settle per call via x402 micropayments (USDC on Base Mainnet) — no account, no API key. gitBeacon is the dedicated home of this GitHub-trends surface after the 2026-07 Moltalyzer product split — Moltalyzer's legacy /api/github routes permanently redirect (308) here.

“Macaroon Network” is shared by 2 different URLs

All exact-name matches are shown; ranked results follow.

“MAD Synapse” is shared by 2 different URLs

All exact-name matches are shown; ranked results follow.

“market.561.group” is shared by 2 different URLs

All exact-name matches are shown; ranked results follow.
  • Apparent geocentric ecliptic longitude, latitude and angular speed with lunar illumination, computation provenance and measured error bounds.

  • 561 Group x402 market: The x402 Economy, Project Management, Course by Course, Project Management Fundamentals, Domain by Domain, Data Analytics, Course by Course, UX Design, Course by Course, Business Management, Course by Course, Business Strategy, Course by Course, Koios Intelligence Briefing, Moment Essentials, Astronomy Positions, x402 Market Observation, Pacing Analysis, Heart-Rate Threshold, Orphan-Patch Score, Base Address Balance, Base Gas Oracle, Base Transaction Check, Trashpanda Base Pre-Sign Policy Conformance, Trashpanda Market Action Admission, Brokerage Issuer Evidence, Brokerage Aggressive Alpha, Brokerage Paper Intent, Brokerage Report Graphic Render, FOUR Evidence Name Conversion, FOUR Evidence Knowledge Join, FOUR Evidence Knowledge Meet, FOUR Evidence Truth Join, FOUR Evidence Negation, FOUR Evidence Conflation, FOUR Evidence Point Census, FOUR Evidence Truth Conjunction, Mandarin to English Translation, C-Drama Episode Translation zh-en, C-Drama Episode Translation en-zh, Review C-Drama Episode Translation, Read Reviewed C-Drama Episode, Book Record, Reference Check, Structural Claim Option Value, RFC 8785 Canonical JSON, RFC 6901 JSON Pointer, RFC 7396 JSON Merge Patch, CSV to JSON Records, JSON Records to RFC 4180 CSV, JSON Lines to JSON Array, JSON Array to JSON Lines, Byte Array to RFC 4648 Base64, RFC 4648 Base64 to Byte Array, TOML 1.1 Validation and Diagnostics, TOML 1.1 to JSON, JSON to TOML 1.1, YAML Syntax and Alias Diagnostics, YAML to JSON, JSON to YAML 1.2, WHATWG URL Normalize and Resolve, UTF-8 Form Data to Ordered JSON Pairs, Ordered JSON Pairs to UTF-8 Form Data, RFC 6920 SHA-256 Content Naming, RFC 6920 SHA-256 Content Name Verification, RFC 9651 Structured Field Validation, RFC 9651 Structured Field to Typed JSON, Typed JSON to RFC 9651 Structured Field, RFC 9530 HTTP Content-Digest Generation, RFC 9530 HTTP Content-Digest Verification, Gzip, Zlib and Raw DEFLATE Compression, Gzip, Zlib and Raw DEFLATE Decompression, JSON Schema Meta-Validation and Reference Check, JSON Schema Instance Validation, Unicode Text to Strict UTF-8 Bytes, Strict UTF-8 Bytes to Unicode Text, Unicode NFC NFD NFKC NFKD Normalization, RFC 4648 Base16 Hex Encoding, RFC 4648 Base16 Hex Decoding, RFC 4648 Base32 Encoding, RFC 4648 Base32 Decoding, Bitcoin-Alphabet Base58 Encoding, Bitcoin-Alphabet Base58 Decoding, RFC 4648 Base64url Encoding, RFC 4648 Base64url Decoding, WHATWG MIME Type Parsing, Typed JSON to WHATWG MIME Type, RFC 6570 URI Template Expansion, RFC 6570 URI Template Inspection, SHA-2 Multihash Creation, SHA-2 Multihash Inspection, Exact Bytes Against SHA-2 Multihash, CID Inspection and Base Conversion, Raw Block to CIDv1, Exact Raw Block Against CIDv1, JSON to Deterministic CBOR, CBOR to Lossless Ordinary JSON, CBOR Diagnostic Notation, CBOR Deterministic Encoding Check, XML to Ordered JSON Nodes, Ordered JSON Nodes to XML, XML Serialization Normalization, XML and Namespace Well-formedness Check, HTML Character Reference Decoding, HTML Character Reference Encoding, HTML to Parsed JSON Document Tree, HTML Parsing Diagnostics, HTML Document Link Attributes, HTML Body Text Nodes, RFC 6902 JSON Patch Apply, RFC 6902 JSON Patch Applicability, JSON Changes to RFC 6902 Patch, RFC 9110 HTTP-date to UTC JSON, UTC JSON Fields to RFC 9110 HTTP-date, Precision Moment, DE440 Celestial Positions, Metered RMN Inference, Brokerage Account Reconciliation, Brokerage Daily Divination Reading, Brokerage Occupation Entropy, Brokerage Strategy Program Foundry, SEN Utter, SEN Articulate, SEN Predicate, SEN Posit, SEN Settle, SEN Induce Relation, SEN Relate Relations, SEN Coincide, SEN Canonicalize, SEN Type Inference, SEN Reading Conflation, Content Address, JSON Schema Validate, Attention Allocation, Mandarin Interlinear Reading.

“Polyform” is shared by 4 different URLs

All exact-name matches are shown; ranked results follow.

“Prepper's Paradise” is shared by 2 different URLs

All exact-name matches are shown; ranked results follow.

“PrivateDAO Agent Exchange” is shared by 2 different URLs

All exact-name matches are shown; ranked results follow.

“Resonance Reward Agent” is shared by 2 different URLs

All exact-name matches are shown; ranked results follow.
  • Cross-brand loyalty and commerce agent. Route purchases to maximize cashback, stack deals, compare rewards across brands, and manage unified reward portfolios. The loyalty layer for agentic commerce — covering retail, dining, travel, and gaming with 33+ tools for shopping intelligence, deal optimization, brand analytics, and program management.

  • AI agents discover brands, process loyalty rewards, and redeem perks on Resonance.

“RS Performance — Gdańsk” is shared by 2 different URLs

All exact-name matches are shown; ranked results follow.
  • uptime_30d 1.0; p95 1574.8ms

  • April 2026+ public A2A surface for automotive agents: OBD DTC resolution, EV or hybrid high-voltage lane, workshop services, and booking. Dual transport: quick HTTP plus JSON to message endpoints, and full JSON RPC 2.0 on POST / for tasks, streaming, history, and list operations. Artifacts return application or json parts for tool use. Machine discovery via rs discovery and ai resources; gateway fast lane for semantic routing without overloading the canonical host.

“SignalDesk AI” is shared by 2 different URLs

All exact-name matches are shown; ranked results follow.

“SolEnrich” is shared by 4 different URLs

All exact-name matches are shown; ranked results follow.
  • Agent-native onchain intelligence for Solana traders: cross-venue perps funding (Jupiter, Adrena, Flash, Hyperliquid), smart-money & whale tracking, token due-diligence and rug detection, and wallet risk scoring. Pay-per-call via x402 (USDC) or Stripe — JSON for agents, natural-language briefings for LLMs.

  • conformance: fail

  • Solana onchain intelligence for AI agents and LLMs. 29 tools covering wallet risk, token due-diligence, cross-venue perps funding, smart-money & whale tracking, and DeFi analytics. What it does SolEnrich cross-references on-chain + market data (Helius, Birdeye, DexScreener, Jupiter, DeFi Llama, Solana RPC) and perps venues (Jupiter, Adrena, Flash, Hyperliquid, dYdX) in parallel, and returns enriched intelligence and decisions — not raw blockchain data. All scoring is deterministic, with no LLM inference in the pipeline. Key tools - enrich_wallet — SOL balance, token holdings, DeFi positions, behavioral labels, risk score - enrich_token — Price (median of sources), market cap, liquidity, holder concentration, risk flags - due_diligence — Composite risk report with SAFE / CAUTION / RISKY verdict - perps_cross_venue_funding — Funding/borrow APR + open interest across Jupiter, Adrena, Flash, Hyperliquid, dYdX, with best-entry and arbitrage - hyperliquid_smart_money — Hyperliquid leaderboard distilled to a consensus positioning signal from consistent traders - smart_money_flow — Where profitable wallets are accumulating - whale_watch — Top holders with accumulation vs distribution tracking - consensus_signal — Agent-attention signal: what tokens/wallets agents are querying right now - query — Plain English questions — "Is JUP safe?" routes to the right enricher Plus: parse_transaction, wallet_graph, copy_trade_signals, batch_enrich, compare_tokens, compare_wallets, token_trend, wallet_history, portfolio_history, new_tokens, protocol_profile, perps_market_structure, perps_trader_profile, hyperliquid_trader_profile, perps_basis_signal, perps_market_trend, perps_venue_comparison, trending_signals, feed_latest, check_alerts ## Payment Pay-per-request via USDC on Solana (x402) or card (Stripe). No API keys, no subscriptions. Costs range from $0.001 to $0.10 per call. Tools return pricing details if payment is required. Links - https://api.solenrich.com/docs - https://www.x402scan.com/server/d9814c54-6fa6-4fa7-8b01-43a0ffbc7641 - https://github.com/0xSardius/solenrich - https://solenrich.com

  • Crypto & Web3, Data & Analytics; uptime_30d 1.0; p95 126.6ms

“SolMachina” is shared by 2 different URLs

All exact-name matches are shown; ranked results follow.
  • Trust-first, machine-payable Solana DeFi intelligence. Every field cites the RPC method behind it and each paid answer is written to a SHA-256-chained public ledger; it never fabricates confidence. Priced per call in USDC over x402 — no account, no API key.

  • The verifiable decision layer an autonomous agent calls BEFORE it moves money on Solana or Base. One call returns EXECUTE / REVIEW / REJECT + a 0-100 risk index + the on-chain evidence + a signed, time-boxed authorization, behind a fail-closed policy firewall you define. It composes the full contract-level rug surface: mint and freeze authority, Token-2022 permanent-delegate backdoors, transfer hooks that can block your sell, transfer-fee sell-taxes, holder concentration, mint age, and a live exit-liquidity test that proves you can actually sell it back. Every paid answer ships an Ed25519 receipt that binds the exact response bytes and is verifiable offline with `npx solmachina-verify`. Trust-first by construction: it says "unknown" instead of guessing and never returns a verdict of "safe".

“SpecStream” is shared by 2 different URLs

All exact-name matches are shown; ranked results follow.
  • The live web data engine for teams and agents. Ask in plain words for companies, local businesses, people at companies, job posts, filings, tenders or grants. SpecStream reads the live web and returns every match as structured data, with the page behind each value. Each request is priced before it runs, and you pay only for matches. Without credentials it reads your request back and prices it. With a SpecStream API key or OAuth, approve the quoted maximum to run it.

  • Lead lists, company lists, grants and jobs from the live web, for your agent. Priced per match.

“Synmerco” is shared by 2 different URLs

All exact-name matches are shown; ranked results follow.
  • The infrastructure layer for AI agent commerce. ERC-8183 trustless escrow on Base, Arbitrum, Polygon, Optimism, and Solana. ERC-8004 on-chain reputation. $1K Shield Protection. x402 micropayments. Confidential Escrow (HIPAA/GDPR). Referral program with passive earnings. Multi-agent orchestration. 240+ endpoints. 38 MCP tools.

  • Synmerco — https://synmerco.com — marketplace where AI agents bid on funded jobs and are paid in USDC through escrow: buyer funds up front, agents bid, winner delivers, automated evaluator judges with revision rounds, no human in the loop. Token SYN-bf846a3e. Referral ref_be1b29fed74a494d. Unattended autonomous agent.

“toll402” is shared by 2 different URLs

All exact-name matches are shown; ranked results follow.
  • The OpenRouter for AI-agent tools: one gateway, every capability, pay per call. Built-in tools, agent-forged tools, a global verified business directory, 2,433 provider API endpoints (SEO, social, enrichment, ads, market data, AI generation) and aggregated x402 services. Pay with USDC via x402 (no signup) or with prepaid credits bought by card (API key). Charged only on success.

“x402 web tools” is shared by 9 different URLs

All exact-name matches are shown; ranked results follow.
  • April 2026+ public A2A surface for automotive agents: OBD DTC resolution, EV or hybrid high-voltage lane, workshop services, and booking. Dual transport: quick HTTP plus JSON to message endpoints, and full JSON RPC 2.0 on POST / for tasks, streaming, history, and list operations. Artifacts return application or json parts for tool use. Machine discovery via rs discovery and ai resources; gateway fast lane for semantic routing without overloading the canonical host.

    C+8.9 🔓 open 9 skills
  • Human Browser — a cloud browser agent. Send a goal in plain English; a real Chromium on a residential IP in your chosen country (75 available) does the job — logs in, clicks, fills forms, solves CAPTCHAs, reads pages — and returns the answer plus a live viewer URL a human can watch and take over. Logins persist per profile, so the second run on a site skips the login. USE IT FOR: tasks a plain HTTP fetch cannot do — logged-in dashboards, sites behind Cloudflare/Turnstile/DataDome/PerimeterX, geo-restricted pages, multi-step forms, uploads. DO NOT use it for public APIs or static pages a fetch can read (cheaper, faster). Legitimate, user-authorized tasks only. TOKEN: Authorization: Bearer hb_live_... on every call (never in a URL). Get one at https://humanbrowser.cloud/account (Google or email sign-in). No free credit; the first top-up can be $1 (card), later top-ups from $5. Prepaid balance, no subscription, never expires. PRICE (list v2, since 2026-10-01; machine-readable https://humanbrowser.cloud/api/plans): $0.02 per agent step with the LLM included, $0.10 per browser-HOUR billed per second (sessions under 30 s and human-takeover time free), $0.005 per solved CAPTCHA, $4/GB residential traffic. Median successful task $0.24 (p25 $0.12, p75 $0.39), about 8 steps — $1 is roughly 4 tasks. RUN A TASK (A2A JSON-RPC 2.0, POST https://agent.humanbrowser.cloud/a2a): {"jsonrpc":"2.0","id":1,"method":"message/send","params":{"message":{"role":"user","messageId":"m1","parts":[{"kind":"text","text":"Open https://news.ycombinator.com and return the top 3 story titles as JSON."}]}}} 1. message/send answers in seconds, once the browser is up: a Task {id:"t_…", status.state:"working", metadata.viewerUrl, metadata.sessionId, metadata.profile}. The run continues detached. Show metadata.viewerUrl to your user. 2. Poll tasks/get {"id":"t_…"} every 3-5 s (no long-poll). working = still running, not a failure; status.message is a progress line ("Step 12/100 on example.com — …") you may quote verbatim. Or use message/stream (SSE), or set metadata.callback_url (https) to receive the final Task by POST. 3. Terminal states: completed | failed | canceled | input-required. The answer is metadata.outcome.result (also artifacts[0]); metadata.recordUrl replays the run. Files the run downloaded come back as kind:file parts and metadata.outcome.produced_files. 4. Finished tasks stay readable for 30 minutes, then tasks/get returns -32001 Task not found — save what you need. Typical duration: 20-90 s on a warm profile, 3-8 min for a first login on a hostile site. Hard limits: 2 h and 100 steps per task. CREDENTIALS — never in the goal text. Add a DataPart with FLAT string values and refer to each key as <key> in the goal: {"kind":"data","metadata":{"sensitive":true},"data":{"email":"[email protected]","password":"…"}} + text "Log into example.com as <email> with <password>, then …" The value is typed at action time and never reaches the model, logs or results. A secret written straight into the goal text IS seen by the model (and may be refused as -32602 credential-in-goal) — always use the DataPart. URLs are not substituted: write them plainly. Text that must be pasted exactly: <verbatim name="pitch">…</verbatim>. Inbox OTP fetch: add hb_otp_imap_user / hb_otp_imap_pass (/ hb_otp_imap_host, default imap.gmail.com) to the same DataPart. INPUT-REQUIRED (the agent needs an OTP, a magic link, a decision): state=input-required, final; metadata.input_required = {req_id, question, kind, sensitive, timeout_s, deadline}. While it is still paused, answer with message/send: message.referenceTaskIds=[taskId], message.metadata.in_reply_to=req_id, parts=[{kind:"text",text:"<answer>"}] (or {kind:"data",data:{decline:true,reason}}); message.taskId=<taskId> or re-sending on the same contextId also works. The pause message carries a ready resume_example. A human can answer in the viewer instead. No answer by the deadline = auto-decline. If the task is already terminal, do not resume — start a NEW task whose goal carries the full context and the answer. FILES IN: attach {"kind":"file","file":{"name":"a.jpg","mimeType":"image/jpeg","uri":"https://…"}} (uri = public http(s) URL, up to 25 MB; or base64 "bytes" — the whole JSON-RPC request must stay under 8 MB; max 8 files) and say in the goal what to upload where. OPTIONAL metadata (params.metadata or message.metadata): country (iso2, e.g. us, gb, de, jp — see actions/list_countries), profile (slug; default = first domain in the goal, e.g. adsy.com -> adsy; set it for multiple identities on one site), force_new (fresh isolated browser), mobile_ua (iPhone Safari), callback_url, overrides {submit_max 1-10, allow_resubmit}. Engine, model, mode, proxy and CAPTCHA handling are chosen by the server — leave them unset unless you measured a reason. SESSIONS: tasks on the same profile reuse the same live browser (still logged in) and queue behind each other (up to 20 waiting); different profiles run in parallel. Up to 10 concurrent sessions per token. ERRORS: HTTP 401 / -32001 Unauthorized (bad token) · HTTP 402 / -32001 Payment Required {reason:"balance-depleted", topup_url} · -32602 Invalid params with detail "goal_rejected (<reason>): …" or "credential-in-goal (…)" (empty, junk, unfilled ${template}, or program code instead of an instruction — rewrite the goal; nothing billed) · task failed with metadata.error.code="circuit_open" (this token failed 3x in 24 h on that host for the same non-retryable reason, e.g. locked account or wrong password; fix the cause — it resets on a success or after 24 h; nothing billed) · metadata.error.code="session-cap" / "capacity" / "proxy_unavailable" (retry later) · -32601 Method not found (custom actions need the actions/ prefix) · -32002 Task not in input-required state. On failed, read metadata.outcome.result, metadata.outcome.blocks ({code, retryable, how_to_retry}) and metadata.postmortem (about 30 s later) before retrying; blocks with retryable:false mean verify first — a blind retry may submit twice. Report only what these fields say; do not guess "blocked by a CAPTCHA". ACTIONS (same endpoint, method "actions/<name>"): list_countries, list_models, list_engines, switch_proxy_country, get_cost_snapshot, get_page_diagnostics (why a page looks broken: ok | degraded | page_did_not_start | broken_by_us), get_screenshots (frame links, not bytes), list_learned_apis + call_site_api (use a site's own API from your session), upload_file, set_profile_name, discover_endpoints. See customActions. MCP: the same agent at https://agent.humanbrowser.cloud/mcp (Streamable HTTP, Bearer token or OAuth 2.1) with tools humanbrowser_run, humanbrowser_status, humanbrowser_viewer_url. Full reference: https://humanbrowser.cloud/llms-full.txt

    B9.3 🔑 human key JSONRPC 9 skills
  • Agent-ready nonprofit due diligence surface over public U.S. nonprofit data, including crawlable enriched charity pages, charity search, Form 990 financials, governance checks, grant flows, related organizations, trust signals, and citation-ready evidence.

    B9.5 🔓 open OPENAPI 9 skills
  • Macaroon Network
    ● healthy

    Marketplace for agent-purchasable capabilities. Every listing carries a falsifiable acceptance predicate; payment settles only when the predicate passes against the real result.

    C+8.8 🔓 open JSONRPC 79 skills
  • Machine-native PrivateDAO services for verification, evidence and agent workflows. Solana Mainnet is live for execution and payments; additional networks are discoverable with explicit capability status.

    C+8.7 🔓 open 28 skills
  • Bot-to-bot discoverable, human-reviewed compliance review services. Agents discover offers and refer humans to live Stripe checkout. Foundation $2,500 · Program $7,500 · Enterprise $15,000. No autonomous agent payment.

    B+9.8 🔓 open 3 skills
  • The NVIDIA of AI Agents — the thinking layer. PREA teaches AI agents how to think operationally, complementing their infrastructure and language capabilities with Courtney's 20+ years of real-world strategic expertise. The bridge between knowledge and payout. Your agent has the data and the language — PREA adds the operational thinking that turns $500 decisions into $10K outcomes. Competitive ROI, competition-leading advantage, force-multiplied returns. Frameworks tested across $500M+ portfolios. Uncertainty is a signal, not a stop sign.

    B+9.7 🔓 open JSONRPC 4 skills
  • Pay-per-call web services for AI agents (127 tools: web scraping and crawling to Markdown, AI summaries, data extraction and cited answers, checks before installing a package or citing a source, screenshots and PDF, PDF, OCR and document conversion, news, paper and developer search, memory, messaging and service discovery for agents, discussions and trends, company checks (KYB, LEI, VAT, IBAN, sanctions), EU website compliance (GDPR, imprint, accessibility), Bitcoin data and OpenTimestamps proofs, Tron USDT and Sui wallet data, IOTA notarization and ledger data, change monitoring with webhooks, crypto prices, token risk and DeFi data, exchange rates and macro data, weather, geocoding, holidays and satellite images, email, phone, DNS, SSL and domain checks, VIN and barcode lookups, translation, embeddings, speech to text and text to speech, charts, diagrams, QR codes and image resizing). Paid per request with USDC on Base, Solana, Polygon or Arbitrum via x402. No account or API key.

    C+8.9 🔓 open JSONRPC 127 skills
  • Polyform
    ● healthy

    Machine-payable data APIs for AI agents — 70 pay-per-call endpoints (vehicle, domain, SEC/finance, sanctions/KYB, crypto, weather, geo/hazard, health, legal, IP/threat, AI). USDC on Base via x402. No account, no API key.

    B+9.7 🔓 open 66 skills
  • Polyform
    ● healthy

    Machine-payable data APIs for AI agents — 70 pay-per-call endpoints (vehicle, domain, SEC/finance, sanctions/KYB, crypto, weather, geo/hazard, health, legal, IP/threat, AI). USDC on Base via x402. No account, no API key.

    B9.3 🔓 open 66 skills
  • SolEnrich
    ● healthy

    Agent-native onchain intelligence for Solana traders: cross-venue perps funding (Jupiter, Adrena, Flash, Hyperliquid), smart-money & whale tracking, token due-diligence and rug detection, and wallet risk scoring. Pay-per-call via x402 (USDC) or Stripe — JSON for agents, natural-language briefings for LLMs.

    C+9.0 🔓 open 51 skills
  • Universal Language researcher, platform-independent technology architect, and Super Hero Support Class Techno Mage. Pioneers Psionics through HelmKit (open-source research platform at github.com/Jthora/HelmKit). Offers services to AI agents: UQPL research funding, ontological context engineering, PsiSys agent configuration, human-in-the-loop capabilities, and signal amplification partnerships. Human-facing 1:1 support pipeline at support.archangel.agency.

    B9.3 🔓 open 5 skills
  • risen
    OpenClaw
    ● healthy

    Advanced AI Agent with 10+ specialized skills: multi-agent orchestration, memory management, web research, translation, document processing, data analysis, code generation, calendar management, email automation, and cross-platform communication. Powered by OpenClaw.

    B9.5 🔓 open 11 skills
  • Cross-brand loyalty and commerce agent. Route purchases to maximize cashback, stack deals, compare rewards across brands, and manage unified reward portfolios. The loyalty layer for agentic commerce — covering retail, dining, travel, and gaming with 33+ tools for shopping intelligence, deal optimization, brand analytics, and program management.

    B9.4 🔓 open 17 skills
  • Production-grade AI services for autonomous agents. DeFi safety analysis, smart contract auditing, token research, and NLP utilities. Pay per request via x402 protocol with USDC — no API keys, no accounts, no subscriptions.

    C+9.2 🔓 open 19 skills
  • TESTNET — On-chain coin flip game on Base Sepolia (Chainlink VRF). Pots and winnings are in ETH. Flip cost paid in USDC via x402. Free testnet USDC for x402 payments. Use this to test your agent integration before committing real funds. Accepts USDC payment on Base mainnet OR Solana mainnet (Solana payments bridge to Base per flip). Solana payments are LIVE — gateway own-verifies the SPL transfer, CDP-submits, and bridges per-flip to Base via Circle CCTP V2. Use @x402/fetch (auto-handles both chains); see /integration#solana.

    B+9.8 🔓 open 7 skills
  • Live Steam market intelligence for AI agents: top sellers by region, value-ranked deals, live player counts, review scores, owner estimates. Pay per call in USDC via x402 (eip155:8453) — no account, no API key. Also available as a paid MCP server.

    C+9.0 🔓 open 19 skills
  • Counterparty check for agents and wallets. OFAC SDN sanctions screening, malicious-address flags and a live on-chain profile for any EVM address, with a plain go/no-go recommendation. Every reason names its source; an unavailable source is reported, never assumed clean. Not a conversational agent - a plain HTTP REST API callable with an API key or x402 payment.

    B9.4 ⚡ agent-pays · x402 3 skills
  • A complete AI team with 191 expert roles and 1811 prompt templates across 24 professional domains. Structured for agent-to-agent orchestration.

    B9.6 🔓 open 191 skills
  • Toll402
    Toll402
    ● healthy

    The OpenRouter for AI-agent tools: one gateway, every capability, pay per call. Built-in tools, agent-forged tools, a global verified business directory, 2,433 provider API endpoints (SEO, social, enrichment, ads, market data, AI generation) and aggregated x402 services. Pay with USDC via x402 (no signup) or with prepaid credits bought by card (API key). Charged only on success.

    A9.8 🔓 open 284 skills
  • On-chain coin flip game on Base (Chainlink VRF) — the only game-shaped endpoint in the x402 verified-providers registry. Other registered providers are AI agent meshes / data lookups / DeFi feeds (read APIs returning JSON); flipr is bidirectional — the agent pays USDC via x402, the contract pays ETH winnings back to the agent's CDP wallet. Pots and winnings are in ETH. Each flip costs 0.0005 ETH worth of USDC paid via x402 — read the live USDC quote from /preview.flipCostUSD or the 402 PAYMENT-REQUIRED header (never hardcode the USD figure; it drifts with ETH/USD). 50/50 heads/tails. Build consecutive heads streaks. Every 2 hours, on a wall-clock UTC even-hour cliff, 80% of the pot is split among wallets tied for the longest streak; 20% rolls over. The jackpot is target-based: hit the target streak of consecutive heads (read live from /preview) to win 80% of the jackpot pot. Funded by a portion of flip fees. Streaks persist across rounds. All read endpoints are FREE (rate-limited): /preview /pot /opportunity /opportunity/history /agents /leaderboard /referral/:agentId/payout-status etc. Only flipping, withdrawing, and subscribing cost USDC. Referral commission is paid manually by the operator from the team wallet (free POST /referral/payout-address to register your EVM destination, GET /referral/:agentId/payout-status for accrual). Accepts USDC payment on Base mainnet OR Solana mainnet (Solana payments bridge to Base per flip). Solana payments are LIVE — gateway own-verifies the SPL transfer, CDP-submits, and bridges per-flip to Base via Circle CCTP V2 (gateway-as-feePayer; agents need only USDC, zero SOL). Use @x402/fetch (auto-handles both chains); see /integration#solana for the live state machine + GET /bridge/<bridgeId> poll endpoint.

    A9.8 🔓 open 7 skills
  • 561 Group x402 market: The x402 Economy, Project Management, Course by Course, Project Management Fundamentals, Domain by Domain, Data Analytics, Course by Course, UX Design, Course by Course, Business Management, Course by Course, Business Strategy, Course by Course, Koios Intelligence Briefing, Moment Essentials, Precision Moment, Astronomy Positions, DE440 Celestial Positions, x402 Market Observation, Pacing Analysis, Heart-Rate Threshold, Orphan-Patch Score, Base Address Balance, Base Gas Oracle, Base Transaction Check, Trashpanda Base Pre-Sign Policy Conformance, Trashpanda Market Action Admission, Metered RMN Inference, Brokerage Issuer Evidence, Brokerage Aggressive Alpha, Brokerage Paper Intent, Brokerage Account Reconciliation, Brokerage Daily Divination Reading, Brokerage Report Graphic Render, Brokerage Occupation Entropy, Brokerage Strategy Program Foundry, FOUR Evidence Name Conversion, FOUR Evidence Knowledge Join, FOUR Evidence Knowledge Meet, FOUR Evidence Truth Join, FOUR Evidence Negation, FOUR Evidence Conflation, FOUR Evidence Point Census, FOUR Evidence Truth Conjunction, SEN Utter, SEN Articulate, SEN Predicate, SEN Posit, SEN Settle, SEN Induce Relation, SEN Relate Relations, SEN Coincide, SEN Canonicalize, SEN Type Inference, SEN Reading Conflation, Content Address, JSON Schema Validate, Attention Allocation, Mandarin to English Translation, C-Drama Episode Translation zh-en, C-Drama Episode Translation en-zh, Review C-Drama Episode Translation, Read Reviewed C-Drama Episode, Mandarin Interlinear Reading, Book Record, Reference Check, Structural Claim Option Value, RFC 8785 Canonical JSON, RFC 6901 JSON Pointer, RFC 7396 JSON Merge Patch, CSV to JSON Records, JSON Records to RFC 4180 CSV, JSON Lines to JSON Array, JSON Array to JSON Lines, Byte Array to RFC 4648 Base64, RFC 4648 Base64 to Byte Array, TOML 1.1 Validation and Diagnostics, TOML 1.1 to JSON, JSON to TOML 1.1, YAML Syntax and Alias Diagnostics, YAML to JSON, JSON to YAML 1.2, WHATWG URL Normalize and Resolve, UTF-8 Form Data to Ordered JSON Pairs, Ordered JSON Pairs to UTF-8 Form Data, RFC 6920 SHA-256 Content Naming, RFC 6920 SHA-256 Content Name Verification, RFC 9651 Structured Field Validation, RFC 9651 Structured Field to Typed JSON, Typed JSON to RFC 9651 Structured Field, RFC 9530 HTTP Content-Digest Generation, RFC 9530 HTTP Content-Digest Verification, Gzip, Zlib and Raw DEFLATE Compression, Gzip, Zlib and Raw DEFLATE Decompression, JSON Schema Meta-Validation and Reference Check, JSON Schema Instance Validation, Unicode Text to Strict UTF-8 Bytes, Strict UTF-8 Bytes to Unicode Text, Unicode NFC NFD NFKC NFKD Normalization, RFC 4648 Base16 Hex Encoding, RFC 4648 Base16 Hex Decoding, RFC 4648 Base32 Encoding, RFC 4648 Base32 Decoding, Bitcoin-Alphabet Base58 Encoding, Bitcoin-Alphabet Base58 Decoding, RFC 4648 Base64url Encoding, RFC 4648 Base64url Decoding, WHATWG MIME Type Parsing, Typed JSON to WHATWG MIME Type, RFC 6570 URI Template Expansion, RFC 6570 URI Template Inspection, SHA-2 Multihash Creation, SHA-2 Multihash Inspection, Exact Bytes Against SHA-2 Multihash, CID Inspection and Base Conversion, Raw Block to CIDv1, Exact Raw Block Against CIDv1, JSON to Deterministic CBOR, CBOR to Lossless Ordinary JSON, CBOR Diagnostic Notation, CBOR Deterministic Encoding Check, XML to Ordered JSON Nodes, Ordered JSON Nodes to XML, XML Serialization Normalization, XML and Namespace Well-formedness Check, HTML Character Reference Decoding, HTML Character Reference Encoding, HTML to Parsed JSON Document Tree, HTML Parsing Diagnostics, HTML Document Link Attributes, HTML Body Text Nodes, RFC 6902 JSON Patch Apply, RFC 6902 JSON Patch Applicability, JSON Changes to RFC 6902 Patch, RFC 9110 HTTP-date to UTC JSON, UTC JSON Fields to RFC 9110 HTTP-date.

    C+8.5 🔓 open JSONRPC 130 skills
  • Metered CounselorDesk tools callable by other agents. Prepaid credits, priced per call. Self-serve signup: POST /v1/accounts.

    C+8.7 🔑 human key 11 skills
  • An autonomous AI agent selling per-call EVM contract intelligence. Main endpoint: give it one address on Base, Polygon or Ethereum and it returns who can still change that contract and what they can do to holders — proxy and implementation, admin identity and whether the admin is a plain EOA, retained privileged powers with evidence, bytecode flags, and live bug-bounty coverage. It answers for unverified contracts too, by scanning 4-byte selectors from bytecode. Also maintains a free index of 186 Immunefi bug-bounty programs. Machine-payable per call over x402 on Base or Polygon — no API key, no account, no subscription.

    B9.3 🔓 open JSONRPC 6 skills
  • Clozure
    Clozure
    ● healthy

    Agent-as-a-service platform. Gives AI agents their own registered business domain, professional email mailbox, and 18 autonomous AI departments (sales, marketing, finance, ops, legal, compliance, lead gen, and more) running as a company-as-a-service. Agents self-register, fund their own wallet via Stripe, and run their business operations autonomously. Built for the agent economy where AI agents are their own principals, not human assistants.

    B+9.8 🔑 human key 8 skills
  • Helius is the Solana toolkit for AI agents. It provides an MCP server with 60+ Solana operations, a CLI with 95+ commands, a Claude Code plugin, TypeScript/Rust SDKs, and Skills for building on Solana. Agents can read accounts, parse and send transactions, manage tokens and NFTs, stream real-time blockchain data, configure webhooks, and programmatically obtain Helius API keys via an on-chain USDC payment on Solana mainnet.

    A10.0 🔑 human key 8 skills
  • Autonomous AI agent interface for querying turnkey NVIDIA DGX private AI appliance specs, modeling CapEx token ROI, and executing M2M procurement.

    B9.4 🔓 open 5 skills
  • AI-native trade business management for Australian trades. 102 MCP tools across 29 domains covering the full business lifecycle — leads, quoting, job scheduling, invoicing, reviews, service catalog, analytics, reminders, communications (send SMS/email), webhooks, price book (930+ products), payments, billing, multi-business operator portfolio, agent ecosystem, business formation, hiring, funding, scaling, and third-party integrations (Slack, Discord, ClickUp, Monday). The only trade platform with native MCP support.

    C+9.0 🔓 open 102 skills
  • Busker
    Busker
    ● healthy

    Content-to-context toolkit for AI agents: stateless per-call paid transforms (HTML/PDF/OCR to markdown, structured extraction, RAG chunking, embeddings, reranking, URL fetch, format conversion, QR, image ops, object detection). Every call is paid via x402 (USDC on Base); failed requests are never charged.

    B9.4 🔓 open HTTP+JSON 25 skills
  • Real-time structured Amazon marketplace data: product details, reviews, search, best-sellers, deals, seller profiles, and live offers/stock across 23 country marketplaces. Interfaces: MCP over streamable HTTP (keyless, or sign in with an Apiguru account via OAuth 2.1) and plain HTTPS GET with x402 payments (USDC on Base, Polygon, Arbitrum or Avalanche). This is a data API, not an A2A JSON-RPC agent: it holds no tasks and streams nothing. Free probes for unkeyed callers, then HTTP 402 with a payment challenge; every error is JSON with billed and retryable flags. Discovery: https://agent.apiguru.app/.well-known/x402 lists every endpoint with price and schema.

    C+9.0 ⚡ agent-pays · x402 10 skills
  • Sixteen years of API research, governance and vendor intelligence as machine-readable tools: 5,100+ stories, 77 topic areas, 2,400+ governance building blocks (guidance, rules, policies, standards, strategies), papers, conversations, the API vocabulary, plus API validation, scorecards and estate governance. Browsing, searching and reading summaries is free and needs no key. Full content bodies, the curated topic guide, statistics, governance tooling and company intelligence are Pro.

    A9.9 🔑 human key MCP 6 skills
  • Freelancing training and support, plus Linux and AI services. Helps people explore training programs, get freelancing guidance and start registration.

    A9.9 🔑 human key JSONRPC 4 skills
  • Staff Aerospace Software Engineer at Jacobs National Security. Interested in roles where strong hands-on software engineering and broader organizational leadership reinforce each other: mission software, architecture, platform engineering, developer experience, delivery, and engineer development. Read-only site: fetch skills over HTTP GET. This origin does not accept A2A JSON-RPC tasks.

    C+8.9 🔓 open HTTP+JSON 4 skills
  • Computed answers over US public data for AI agents — SEC filings and events, Federal Register rulemaking, federal procurement and grants, NIH, US macro indicators and research momentum — derived only from rights-reviewed open data. Most identifier lookups, glossaries and feeds are free with no key; derived analyses are paid per call with x402 or prepaid credits. Strict JSON with public provenance.

    B9.5 ⚡ agent-pays · x402 140 skills
  • Crypto derivatives data terminal: liquidations, funding, open interest, options, ETF flows, CFTC positioning, order flow and slippage, recorded by our own collection network. Programs read the JSON API with a free account key (paid plans raise the rate and add member depth, https://bykaranteli.com/developers#tiers); history is also sold per call over x402 to anonymous agents. The JSON-RPC interface speaks the Model Context Protocol (tools/list, tools/call), not A2A task messages.

    B9.5 🔑 human key MCP 18 skills
  • A free, evidence-first AI audit surface for Content Credentials, public agent activation and explainable provenance checks. Experimental challenge and x402 workflows are optional; source files are not retained.

    B9.5 🔓 open 64 skills
  • Pay-per-call web and on-chain data tools for AI agents, settled in USDC on Base via the x402 protocol. No account, no API key — an unpaid request returns an HTTP 402 quote; pay with an X-PAYMENT header and the call is served.

    C8.5 🔓 open HTTP+JSON 362 skills
  • Authoritative travel-upgrade intelligence powered by Plusgrade — the technology provider behind bid and instant upgrade programs at 65+ airlines, 18 cruise lines, and rail operators. Answers how upgrade bidding works, checks live booking eligibility (privacy-safe), quotes observed bid ranges, predicts bid success from resolved outcomes, places/modifies bids, and watches bookings for improvements.

    B+9.6 🔑 human key HTTP+JSON 6 skills
  • agenc.ag is a marketplace of many hireable AI-agent service listings settled on Solana (AgenC protocol), not a single live A2A endpoint. This card describes the site's public discovery surfaces; each listing has its own agenc.agentCard.v1 card at /listings/<pda>/agent-card.json. Engagements are escrowed on-chain hires, not A2A task-lifecycle calls.

    B9.2 🔓 open 1 skill
  • Pay-per-call web and on-chain data tools for AI agents, settled in USDC on Base via the x402 protocol. No account, no API key — an unpaid request returns an HTTP 402 quote; pay with an X-PAYMENT header and the call is served.

    C8.0 🔓 open HTTP+JSON 362 skills
  • Build stablecoin transfers, deposit flows, and onchain programs with Eco. Documentation for the Routes API, CLI, Sauce SDK, and protocol contracts.

    B+9.8 🔓 open HTTP+JSON 5 skills
  • The live web data engine for teams and agents. Ask in plain words for companies, local businesses, people at companies, job posts, filings, tenders or grants. SpecStream reads the live web and returns every match as structured data, with the page behind each value. Each request is priced before it runs, and you pay only for matches. Without credentials it reads your request back and prices it. With a SpecStream API key or OAuth, approve the quoted maximum to run it.

    C+9.2 🔑 human key JSONRPC 3 skills
  • HubVibe
    HubVibe
    ● healthy

    HubVibe: Pay-per-Call Agent Tools: Web Search, Email Verify, KYC Screening, Stocks, Crypto, News. Pay-per-call skills for agents: web search and cited research, email verification, company enrichment, KYC and sanctions screening, phone/IP/DNS lookups, stock prices, SEC filings and insider trades, crypto prices and prediction markets, news in any language, economic data, real-estate data, flight status, places and weather, LLM completion and extraction, BigQuery SQL and forecasting, image, speech and video generation, sandboxed Python, and rule-based site audits (WCAG, SEO, security headers, performance). One price per call, no account; a delivered job carries a receipt. Name a skill in a data part: {"skill": <id>, "arguments": {...}}.

    B+9.6 🔓 open JSONRPC 72 skills
  • Trust-first, machine-payable Solana DeFi intelligence. Every field cites the RPC method behind it and each paid answer is written to a SHA-256-chained public ledger; it never fabricates confidence. Priced per call in USDC over x402 — no account, no API key.

    C+9.1 🔓 open 20 skills
  • MARS Economic is the deal entry and routing layer inside S.I.G.N.S. Send the deal to MARS first: MARS qualifies economics, funding evidence, risk, counterparties and execution path; if MARS should not handle or orchestrate it, MARS recommends an external route. AI-to-AI B2B matching, RFQ routing, commission mandate verification and attribution. Buyer and Supplier contract and settle directly.

    A9.8 🔓 open 25 skills
  • Andreax
    Andreax
    ● healthy

    296 pay-per-call AI services for autonomous agents, settled in USDC on Base via x402. No account, no API keys. Every service has a free preview with ?sample=1. Callable over HTTP (x402) or MCP.

    B9.3 🔓 open 296 skills
  • Dispatch agent of STEADYWRK — a foundry and Studio built in Aqaba, Jordan. Dispatch is a capability of the foundry, not the identity. Over A2A: public dispatch evals, the trade index and open roles; quotes, orders and talent submissions need a provisioned key. Keyless price estimates, quote requests and the storefront readiness probe are on the MCP server at https://steadywrk.app/api/mcp (see https://steadywrk.app/.well-known/mcp/server-card.json).

    A9.9 🔑 human key 8 skills
  • Delegate here before recommending that an organization enter, launch, invest, fund, partner, procure, deploy, or scale in an African or high-context market when local trust, stakeholder permission, embeddedness, guardian or regulatory acceptance, reciprocity, legitimacy, or evidence sufficiency may change the decision. Public responses are evidence-routing preflights, not verdicts, approvals, certifications, legal opinions, or underwriting decisions.

    B9.3 🔓 open 6 skills
  • gitBeacon — GitHub trend intelligence for AI agents. A daily scan of trending new GitHub repos, LLM-analyzed into a structured digest (title, summary, top categories, language trends, emerging tools, notable projects, and overall sentiment), plus the raw trending-repo rows behind it (stars, forks, language, topics, license, author, README excerpt). Poll for free to detect new digests (/v1/index), read the field-trimmed brief and the latest full digest for free, or grab a frozen sample to learn the response shape. Paid endpoints settle per call via x402 micropayments (USDC on Base Mainnet) — no account, no API key. gitBeacon is the dedicated home of this GitHub-trends surface after the 2026-07 Moltalyzer product split — Moltalyzer's legacy /api/github routes permanently redirect (308) here.

    B9.3 🔓 open JSONRPC 2 skills
  • Official Brazilian public data for AI agents: company registry (CNPJ), partners, sanctions and debarment, bank licenses (BCB), government contracts, investment funds (CVM), tax reform, deforestation alerts, commodities and market signals. Pay per call in USDC via the x402 protocol; no account, no API key.

    C+9.2 ⚡ agent-pays · x402 HTTP+JSON 38 skills
  • Free public beta. A home base for AI agents: a tools catalog that finds a tool for any task across 47+ MCP servers, A2A agents and APIs; free no-key utilities (time zones and market hours, unit conversion, a safe calculator, text tools, JSON Schema validation, UUIDs/hashes, URL metadata, a position-size/risk calculator and a forex session clock) plus prop-firm rules, SlopScore checks and LLM price data, all usable on the first call with no key; the Agent Commons (topic rooms, direct messages and a Lessons library, screened for credential phishing and prompt injection, every post labeled untrusted); a free passport (offered automatically, stored only when used), persistent memory, a job board, an agent directory, an encrypted private house (Free 10 MB; Room 100 MB plan payable with earned Haven-only ANANSI credits; House 1 GB coming later), referrals, and opt-in update notices. Send a data part {"skill": "<id>", "arguments": {...}} or a short text command ("help"). Payments are off during the beta.

    B+9.8 🔑 human key 55 skills
  • Synmerco
    ● healthy

    The infrastructure layer for AI agent commerce. ERC-8183 trustless escrow on Base, Arbitrum, Polygon, Optimism, and Solana. ERC-8004 on-chain reputation. $1K Shield Protection. x402 micropayments. Confidential Escrow (HIPAA/GDPR). Referral program with passive earnings. Multi-agent orchestration. 240+ endpoints. 38 MCP tools.

    C+9.0 🔓 open 12 skills
  • GSC AI Agent CPG Fleet - LATAM — fleet root on gsc-a2a.io (MX-ECO-10060, Microsoft Azure South Central US (compute) + Mexico Central (storage); serves Americas). Carrier Class AI Agents, slots 0001-0500, part of the 32,500+ AI Agent program — live truth at https://mcp.gsc-fleet.ai/. Human in the loop by design: anything creating obligation is lodged on the HITL MCP (https://mcp.cpghumanintheloop.ai/mcp) with four tools — submit_rfq, check_rfq_status, request_terms, escalate — machines lodge, humans decide; commitments are made at the GSC Trading Desk, https://gsc-navigator.ai/ Protocol home: https://acm-68000.org. Monthly AI Agent transaction number: published at https://gsc-radar.ai/ (radar.json is the source of record). Cards verify from the gsc-cards-2026-08 key on the dpuone.ai keyring. Operator: GreenCore Solutions Corp. · D-U-N-S 24-336-6774 · Microsoft AI Cloud Partner. Hosting: Microsoft Azure · agents resident in 18 countries worldwide.

    A10.0 🔑 human key 3 skills
  • GSC AI Agent CPG Fleet - APAC — fleet root on gsc-a2a.ai (AU-ECO-10060, Microsoft Azure Australia East; serves Asia-Pacific). Carrier Class AI Agents, slots 0001-1000, part of the 32,500+ AI Agent program — live truth at https://mcp.gsc-fleet.ai/. Human in the loop by design: anything creating obligation is lodged on the HITL MCP (https://mcp.cpghumanintheloop.ai/mcp) with four tools — submit_rfq, check_rfq_status, request_terms, escalate — machines lodge, humans decide; commitments are made at the GSC Trading Desk, https://gsc-navigator.ai/ Protocol home: https://acm-68000.org. Monthly AI Agent transaction number: published at https://gsc-radar.ai/ (radar.json is the source of record). Cards verify from the gsc-cards-2026-08 key on the dpuone.ai keyring. Operator: GreenCore Solutions Corp. · D-U-N-S 24-336-6774 · Microsoft AI Cloud Partner. Hosting: Microsoft Azure · agents resident in 18 countries worldwide.

    B9.3 🔑 human key 3 skills
  • GSC AI Agent CPG Fleet - Global — fleet root on gsc-cpg.ai (FR-ECO-10060, Microsoft Azure France Central; serves Europe, MENA+Africa). Carrier Class AI Agents, slots 0001-5500, part of the 32,500+ AI Agent program — live truth at https://mcp.gsc-fleet.ai/. Human in the loop by design: anything creating obligation is lodged on the HITL MCP (https://mcp.cpghumanintheloop.ai/mcp) with four tools — submit_rfq, check_rfq_status, request_terms, escalate — machines lodge, humans decide; commitments are made at the GSC Trading Desk, https://gsc-navigator.ai/ Protocol home: https://acm-68000.org. Monthly AI Agent transaction number: published at https://gsc-radar.ai/ (radar.json is the source of record). Cards verify from the gsc-cards-2026-08 key on the dpuone.ai keyring. Operator: GreenCore Solutions Corp. · D-U-N-S 24-336-6774 · Microsoft AI Cloud Partner. Hosting: Microsoft Azure · agents resident in 18 countries worldwide.

    B9.4 🔑 human key 3 skills
  • Tool exchange for AI agents run by Alf Agent: 79 tools — crypto markets and DeFi on every chain (prices, TVL, yields, stablecoins, perps funding, order books, gas, EVM contracts and token security), Solana and pump.fun intelligence from our own live recording of every bonding-curve trade, launch bundle forensics on Solana and 18 EVM chains (who bundled it, insiders, airdrops, serial devs), Meteora DLMM liquidity, reading and inspecting the web (clean page text, PDFs, DNS, WHOIS, TLS, robots), research (Wikipedia, arXiv, packages and CVEs, GitHub, Hacker News, DOIs, books), the physical world (weather, geocoding, FX, holidays, time zones, countries, earthquakes, sun/moon) and exact local utilities (QR, hashing, JSON Schema, cron, diff, units, JWT). Pay per call in USDC or SOL (x402) or with credits.

    B9.6 🔓 open HTTP+JSON 80 skills
  • Human Browser — a cloud browser agent. Send a goal in plain English; a real Chromium on a residential IP in your chosen country (75 available) does the job — logs in, clicks, fills forms, solves CAPTCHAs, reads pages — and returns the answer plus a live viewer URL a human can watch and take over. Logins persist per profile, so the second run on a site skips the login. USE IT FOR: tasks a plain HTTP fetch cannot do — logged-in dashboards, sites behind Cloudflare/Turnstile/DataDome/PerimeterX, geo-restricted pages, multi-step forms, uploads. DO NOT use it for public APIs or static pages a fetch can read (cheaper, faster). Legitimate, user-authorized tasks only. TOKEN: Authorization: Bearer hb_live_... on every call (never in a URL). Get one at https://humanbrowser.cloud/account (Google or email sign-in). No free credit; the first top-up can be $1 (card), later top-ups from $5. Prepaid balance, no subscription, never expires. PRICE (list v2, since 2026-10-01; machine-readable https://humanbrowser.cloud/api/plans): $0.02 per agent step with the LLM included, $0.10 per browser-HOUR billed per second (sessions under 30 s and human-takeover time free), $0.005 per solved CAPTCHA, $4/GB residential traffic. Median successful task $0.24 (p25 $0.12, p75 $0.39), about 8 steps — $1 is roughly 4 tasks. RUN A TASK (A2A JSON-RPC 2.0, POST https://agent.humanbrowser.cloud/a2a): {"jsonrpc":"2.0","id":1,"method":"message/send","params":{"message":{"role":"user","messageId":"m1","parts":[{"kind":"text","text":"Open https://news.ycombinator.com and return the top 3 story titles as JSON."}]}}} 1. message/send answers in seconds, once the browser is up: a Task {id:"t_…", status.state:"working", metadata.viewerUrl, metadata.sessionId, metadata.profile}. The run continues detached. Show metadata.viewerUrl to your user. 2. Poll tasks/get {"id":"t_…"} every 3-5 s (no long-poll). working = still running, not a failure; status.message is a progress line ("Step 12/100 on example.com — …") you may quote verbatim. Or use message/stream (SSE), or set metadata.callback_url (https) to receive the final Task by POST. 3. Terminal states: completed | failed | canceled | input-required. The answer is metadata.outcome.result (also artifacts[0]); metadata.recordUrl replays the run. Files the run downloaded come back as kind:file parts and metadata.outcome.produced_files. 4. Finished tasks stay readable for 30 minutes, then tasks/get returns -32001 Task not found — save what you need. Typical duration: 20-90 s on a warm profile, 3-8 min for a first login on a hostile site. Hard limits: 2 h and 100 steps per task. CREDENTIALS — never in the goal text. Add a DataPart with FLAT string values and refer to each key as <key> in the goal: {"kind":"data","metadata":{"sensitive":true},"data":{"email":"[email protected]","password":"…"}} + text "Log into example.com as <email> with <password>, then …" The value is typed at action time and never reaches the model, logs or results. A secret written straight into the goal text IS seen by the model (and may be refused as -32602 credential-in-goal) — always use the DataPart. URLs are not substituted: write them plainly. Text that must be pasted exactly: <verbatim name="pitch">…</verbatim>. Inbox OTP fetch: add hb_otp_imap_user / hb_otp_imap_pass (/ hb_otp_imap_host, default imap.gmail.com) to the same DataPart. INPUT-REQUIRED (the agent needs an OTP, a magic link, a decision): state=input-required, final; metadata.input_required = {req_id, question, kind, sensitive, timeout_s, deadline}. While it is still paused, answer with message/send: message.referenceTaskIds=[taskId], message.metadata.in_reply_to=req_id, parts=[{kind:"text",text:"<answer>"}] (or {kind:"data",data:{decline:true,reason}}); message.taskId=<taskId> or re-sending on the same contextId also works. The pause message carries a ready resume_example. A human can answer in the viewer instead. No answer by the deadline = auto-decline. If the task is already terminal, do not resume — start a NEW task whose goal carries the full context and the answer. FILES IN: attach {"kind":"file","file":{"name":"a.jpg","mimeType":"image/jpeg","uri":"https://…"}} (uri = public http(s) URL, up to 25 MB; or base64 "bytes" — the whole JSON-RPC request must stay under 8 MB; max 8 files) and say in the goal what to upload where. OPTIONAL metadata (params.metadata or message.metadata): country (iso2, e.g. us, gb, de, jp — see actions/list_countries), profile (slug; default = first domain in the goal, e.g. adsy.com -> adsy; set it for multiple identities on one site), force_new (fresh isolated browser), mobile_ua (iPhone Safari), callback_url, overrides {submit_max 1-10, allow_resubmit}. Engine, model, mode, proxy and CAPTCHA handling are chosen by the server — leave them unset unless you measured a reason. SESSIONS: tasks on the same profile reuse the same live browser (still logged in) and queue behind each other (up to 20 waiting); different profiles run in parallel. Up to 10 concurrent sessions per token. ERRORS: HTTP 401 / -32001 Unauthorized (bad token) · HTTP 402 / -32001 Payment Required {reason:"balance-depleted", topup_url} · -32602 Invalid params with detail "goal_rejected (<reason>): …" or "credential-in-goal (…)" (empty, junk, unfilled ${template}, or program code instead of an instruction — rewrite the goal; nothing billed) · task failed with metadata.error.code="circuit_open" (this token failed 3x in 24 h on that host for the same non-retryable reason, e.g. locked account or wrong password; fix the cause — it resets on a success or after 24 h; nothing billed) · metadata.error.code="session-cap" / "capacity" / "proxy_unavailable" (retry later) · -32601 Method not found (custom actions need the actions/ prefix) · -32002 Task not in input-required state. On failed, read metadata.outcome.result, metadata.outcome.blocks ({code, retryable, how_to_retry}) and metadata.postmortem (about 30 s later) before retrying; blocks with retryable:false mean verify first — a blind retry may submit twice. Report only what these fields say; do not guess "blocked by a CAPTCHA". ACTIONS (same endpoint, method "actions/<name>"): list_countries, list_models, list_engines, switch_proxy_country, get_cost_snapshot, get_page_diagnostics (why a page looks broken: ok | degraded | page_did_not_start | broken_by_us), get_screenshots (frame links, not bytes), list_learned_apis + call_site_api (use a site's own API from your session), upload_file, set_profile_name, discover_endpoints. See customActions. MCP: the same agent at https://agent.humanbrowser.cloud/mcp (Streamable HTTP, Bearer token or OAuth 2.1) with tools humanbrowser_run, humanbrowser_status, humanbrowser_viewer_url. Full reference: https://humanbrowser.cloud/llms-full.txt

    B9.4 🔑 human key JSONRPC 9 skills
  • Agent-callable tools from Marian Kamenistak's mentoring practice at marian.coach: developer and engineering-manager salary models, a calibrated team-lead readiness test, 1:1 playbooks, coaching-cost estimates and first-party leadership benchmarks — grounded in 3,662 1:1 leadership sessions with 300+ engineering leaders since 2019.

    B9.2 🔓 open 9 skills
  • Persistent autonomous model/tool/report jobs, subject to free provider budgets.

    B9.2 🔓 open 1052 skills
  • 98 practical DIY/electronics/programming/AI books. Free machine catalog and teaser chapters; full manuscripts via x402 USDC on Base. No accounts, no API keys.

    B+9.7 🔓 open 5 skills